> ## Documentation Index
> Fetch the complete documentation index at: https://docs.theymes.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule customer deletion

> Schedule deletion of a customer's data. The customer will be scheduled to be deleted in 24 hours. The scheduled deletion can be cancelled from the Theymes application if necessary.



## OpenAPI

````yaml https://api.theymes.com/v2/openapi.json post /customers/schedule-deletion
openapi: 3.1.0
info:
  title: Theymes API v2
  version: 2.0.0
  description: >-
    Theymes API allows you to interact with the Theymes platform.



    Most endpoints require an API key for authentication. You can generate an
    API key in the Theymes dashboard.



    The API key should be included in the Authorization header
    (```Authorization: Bearer <YOUR_KEY>```).



    The public support link endpoints do not require authentication and are
    grouped separately below.
servers:
  - url: https://api.theymes.com/v2
security: []
tags:
  - name: Authenticated endpoints (API key)
    description: Endpoints that require an API key in the Authorization header.
  - name: Public support links (no authentication)
    description: >-
      Endpoints for creating web support sessions and links. These require no
      authentication and are identified by an app environment token.
paths:
  /customers/schedule-deletion:
    post:
      tags:
        - Authenticated endpoints (API key)
      summary: Schedule customer deletion
      description: >-
        Schedule deletion of a customer's data. The customer will be scheduled
        to be deleted in 24 hours. The scheduled deletion can be cancelled from
        the Theymes application if necessary.
      operationId: scheduleCustomerDeletion
      parameters:
        - schema:
            type: string
            description: Bearer token API key
          required: true
          description: Bearer token API key
          name: Authorization
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                theymesCustomerId:
                  type: string
                  format: uuid
                  description: The Theymes Customer ID, can be found with the ticket API.
              required:
                - theymesCustomerId
      responses:
        '200':
          description: Customer deletion scheduled
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.